function result1=LP(edgehistogram,my_size)
result1=0;
p=2;
result=0;

for i=3:my_size
    
    for j=3:i-1
     
        result(i,j)=power(sum(power((edgehistogram{i}-edgehistogram{j}),p)),1/p);
    end
    for j=i+1:my_size
       
         result(i,j)=power(sum(power((edgehistogram{i}-edgehistogram{j}),p)),1/p);
    end
end

result1=result;